/* Switch Gruppenschalter Licht Etage 2 ********************************************/
var $s100_0_48 = $('[data-co="s100_0_48"]');
// addEventListener
$s100_0_48.on('click touchend', switchCO);


/* Switch Gruppenschalter Geräte Etage 2 ********************************************/
var $s100_0_55 = $('[data-co="s100_0_55"]');
// addEventListener
$s100_0_55.on('click touchend', switchCO);

function showCObject() {
    /* Switch Gruppenschalter Licht Etage 2 ********************************************/
    s100_0_48 = conn.getCommunicationObject("CO@100_0_48", function (err, value, isInit) {
        console.log("STATUS", value, isInit);
        var COobject = 's100_0_48';
        if (value == 1){
            handleSwitch('on', COobject);
            handleIndicator(COobject);
        } else{
            handleSwitch('off', COobject);
            handleIndicator(COobject);
        }
    });

    /* Switch Gruppenschalter Geräte Etage 2 ********************************************/
    s100_0_55 = conn.getCommunicationObject("CO@100_0_55", function (err, value, isInit) {
        console.log("STATUS", value, isInit);
        var COobject = 's100_0_55';
        if (value == 1){
            handleSwitch('on', COobject);
            handleIndicator(COobject);
        } else{
            handleSwitch('off', COobject);
            handleIndicator(COobject);
        }
    });
    /* Geräte Anzahl Etage 2 ********************************************/
    countDeviceE2 = conn.getCommunicationObject("CO@100_0_62", function (err, value, isInit) {
        var count = value;
        var COobject = 'c100_0_62';
        setCount(count, COobject)
    });

    /*  Licht Anzahl Etage 2 ********************************************/
    countLightsE2 = conn.getCommunicationObject("CO@100_0_58", function (err, value, isInit) {
        var count = value;
        var COobject = 'c100_0_58';
        setCount(count, COobject)
    });
}

/**
 * Sets the count of CO's from type
 *
 * @param {integer} count - Count of Elements
 * @param {string} CO - Communication Object ID
 */
function setCount(count, CO) {
    event.preventDefault();
    $('[data-co="' + CO + '"]').find('.active').html(count);
}

/**
 * Handle the visual status of the switch HTML Element
 *
 * @param {string} status - Status "ON OFF" of the Switch
 * @param {string} CO - Communication Object identifier
 */
function handleSwitch(status, CO) {
    event.preventDefault();
    $('[data-co="' + CO + '"]').removeClass('on off').addClass(status);
}

/**
 * Handle the visual status of the indicator HTML Element
 *
 * @param {string} CO - Communication Object ID
 */
function handleIndicator(CO) {
    event.preventDefault();
    var $self = $('[data-co="' + CO + '"]');
    if(!$self.hasClass('on')){
        $self.parent().find('.indicator').addClass('on');
    }else{
        $self.parent().find('.indicator').removeClass('on');
    }
}

/**
 *  Turns Communication Objects on or off
 */
function switchCO() {
    event.preventDefault();
    // Get Communication Object ID from Html Element data
    var CO = $(this).data('co');
    if (window[CO])
        window[CO].toggle(50);
}
