// Cache jQuery selections
var $tempInside = $('#temp-inside .temp');
var $tempOutside = $('#temp-outside .temp');
var $cam1 = $('#camera-mjpg-inside');
var $cam2 = $('#camera-mjpg-outside');

/* Switch Gruppenschalter Licht Etage 1 ********************************************/
var $s100_0_49 = $('[data-co="s100_0_49"]');
// addEventListener
$s100_0_49.on('click touchend', switchCO);

/* Switch Gruppenschalter Licht Etage 2 ********************************************/
var $s100_0_48 = $('[data-co="s100_0_48"]');
// addEventListener
$s100_0_48.on('click touchend', switchCO);

/* Switch Gruppenschalter Licht Etage 3 ********************************************/
var $s100_0_50 = $('[data-co="s100_0_50"]');
// addEventListener
$s100_0_50.on('click touchend', switchCO);

/* Switch Gruppenschalter Geräte Etage 1 ********************************************/
var $s100_0_57 = $('[data-co="s100_0_57"]');
// addEventListener
$s100_0_57.on('click touchend', switchCO);

/* Switch Gruppenschalter Geräte Etage 2 ********************************************/
var $s100_0_55 = $('[data-co="s100_0_55"]');
// addEventListener
$s100_0_55.on('click touchend', switchCO);

/* Switch Gruppenschalter Geräte Etage 3 ********************************************/
var $s100_0_56 = $('[data-co="s100_0_56"]');
// addEventListener
$s100_0_56.on('click touchend', switchCO);

/* Switch Alarm *********************************************************************/
var $s100_0_69 = $('[data-co="s100_0_69"]');
// addEventListener
$s100_0_69.on('click touchend', switchCO);


/**
 * Init communication objects
 */
function showCObject() {
    /* Innentemperatur ********************************************/
    tempInsideValue = conn.getCommunicationObject("CO@100_0_67", function (err, value, isInit) {
        var tempInside = Math.round(value);
        console.log("STATUS temp inside", tempInside, isInit);
        setTempInside(tempInside);
    });
    /* Aussentemperatur ********************************************/
    tempOutsideValue = conn.getCommunicationObject("CO@100_0_68", function (err, value, isInit) {
        //console.log("STATUS temp outside", value, isInit);
        var tempOutside = Math.round(value);
        console.log("STATUS temp Outside", tempOutside, isInit);
        setTempOutside(tempOutside);
    });

    /* Switch Gruppenschalter Licht Etage 1 ********************************************/
    s100_0_49 = conn.getCommunicationObject("CO@100_0_49", function (err, value, isInit) {
        console.log("STATUS", value, isInit);
        var COobject = 's100_0_49';
        if (value == 1){
            handleSwitch('on', COobject);
            handleIndicator(COobject);
        } else{
            handleSwitch('off', COobject);
            handleIndicator(COobject);
        }
    });

    /* Switch Gruppenschalter Licht Etage 2 ********************************************/
    s100_0_48 = conn.getCommunicationObject("CO@100_0_48", function (err, value, isInit) {
        console.log("STATUS", value, isInit);
        var COobject = 's100_0_48';
        if (value == 1){
            handleSwitch('on', COobject);
            handleIndicator(COobject);
        } else{
            handleSwitch('off', COobject);
            handleIndicator(COobject);
        }
    });

    /* Switch Gruppenschalter Licht Etage 3 ********************************************/
    s100_0_50 = conn.getCommunicationObject("CO@100_0_50", function (err, value, isInit) {
        console.log("STATUS", value, isInit);
        var COobject = 's100_0_50';
        if (value == 1){
            handleSwitch('on', COobject);
            handleIndicator(COobject);
        } else{
            handleSwitch('off', COobject);
            handleIndicator(COobject);
        }
    });

    /* Switch Gruppenschalter Geräte Etage 1 ********************************************/
    s100_0_57 = conn.getCommunicationObject("CO@100_0_57", function (err, value, isInit) {
        console.log("STATUS", value, isInit);
        var COobject = 's100_0_57';
        if (value == 1){
            handleSwitch('on', COobject);
            handleIndicator(COobject);
        } else{
            handleSwitch('off', COobject);
            handleIndicator(COobject);
        }
    });

    /* Switch Gruppenschalter Geräte Etage 2 ********************************************/
    s100_0_55 = conn.getCommunicationObject("CO@100_0_55", function (err, value, isInit) {
        console.log("STATUS", value, isInit);
        var COobject = 's100_0_55';
        if (value == 1){
            handleSwitch('on', COobject);
            handleIndicator(COobject);
        } else{
            handleSwitch('off', COobject);
            handleIndicator(COobject);
        }
    });

    /* Switch Gruppenschalter Geräte Etage 3 ********************************************/
    s100_0_56 = conn.getCommunicationObject("CO@100_0_56", function (err, value, isInit) {
        console.log("STATUS", value, isInit);
        var COobject = 's100_0_56';
        if (value == 1){
            handleSwitch('on', COobject);
            handleIndicator(COobject);
        } else{
            handleSwitch('off', COobject);
            handleIndicator(COobject);
        }
    });

    /* Schalter Alarmanlage ********************************************/
    s100_0_69 = conn.getCommunicationObject("CO@100_0_69", function (err, value, isInit) {
        console.log("STATUS", value, isInit);
        var COobject = 's100_0_69';
        if (value == 1){
            handleSwitch('on', COobject);
            handleIndicator(COobject);
        } else{
            handleSwitch('off', COobject);
            handleIndicator(COobject);
        }
    });

    /* Gruppenschalter Licht Anzahl Etage 1 ********************************************/
    countLightsE1 = conn.getCommunicationObject("CO@100_0_59", function (err, value, isInit) {
        //console.log("STATUS temp outside", value, isInit);
        var count = value;
        var COobject = 'c100_0_59';
        //console.log("Lights Floor 1", count, isInit);
        setCount(count, COobject)
    });

    /* Gruppenschalter Licht Anzahl Etage 2 ********************************************/
    countLightsE2 = conn.getCommunicationObject("CO@100_0_58", function (err, value, isInit) {
        //console.log("STATUS temp outside", value, isInit);
        var count = value;
        var COobject = 'c100_0_58';
        //console.log("Lights Floor 2", count, isInit);
        setCount(count, COobject)
    });

    /* Gruppenschalter Licht Anzahl Etage 3 ********************************************/
    countLightsE3 = conn.getCommunicationObject("CO@100_0_60", function (err, value, isInit) {
        //console.log("STATUS temp outside", value, isInit);
        var count = value;
        var COobject = 'c100_0_60';
        //console.log("Lights Floor 3", count, isInit);
        setCount(count, COobject)
    });

    /* Gruppenschalter Geräte Anzahl Etage 1 ********************************************/
    countDeviceE1 = conn.getCommunicationObject("CO@100_0_61", function (err, value, isInit) {
        //console.log("STATUS temp outside", value, isInit);
        var count = value;
        var COobject = 'c100_0_61';
        //console.log("DEVICES 1", count, isInit);
        setCount(count, COobject)
    });

    /* Gruppenschalter Geräte Anzahl Etage 2 ********************************************/
    countDeviceE2 = conn.getCommunicationObject("CO@100_0_62", function (err, value, isInit) {
        //console.log("STATUS temp outside", value, isInit);
        var count = value;
        var COobject = 'c100_0_62';
        //console.log("DEVICES 2", count, isInit);
        setCount(count, COobject)
    });

    /* Gruppenschalter Geräte Anzahl Etage 3 ********************************************/
    countDeviceE3 = conn.getCommunicationObject("CO@100_0_63", function (err, value, isInit) {
        //console.log("STATUS temp outside", value, isInit);
        var count = value;
        var COobject = 'c100_0_63';
        //console.log("DEVICES 3", count, isInit);
        setCount(count, COobject)
    });

    /* Schalter Alarmanlage Anzahl Fenster ********************************************/
    countWindow = conn.getCommunicationObject("CO@100_0_70", function (err, value, isInit) {
        //console.log("STATUS temp outside", value, isInit);
        var count = value;
        var COobject = 'c100_0_70';
        //console.log("DEVICES 2", count, isInit);
        setCount(count, COobject)
    });

    /* Schalter Alarmanlage Anzahl Türen ********************************************/
    countDoor = conn.getCommunicationObject("CO@100_0_71", function (err, value, isInit) {
        //console.log("STATUS temp outside", value, isInit);
        var count = value;
        var COobject = 'c100_0_71';
        //console.log("DEVICES 3", count, isInit);
        setCount(count, COobject)
    });

    // show Camera Images
    setTimeout(function(){
        $( document ).ready(function() {
            function showPicture() {
                /* Kamera 1 ********************************************/
                conn.getCameraPicture("CP@radevormwald").getPicture(function(err, dataUrl) {
                    var pictureSRC = dataUrl;
                    $cam1.attr('src', pictureSRC);
                    return dataUrl
                });
                /* Kamera 2 ********************************************/
                conn.getCameraPicture("CP@frankfurt").getPicture(function(err, dataUrl) {
                    var pictureSRC = dataUrl;
                    $cam2.attr('src', pictureSRC);
                    return dataUrl
                });
            }
            // Update Picture every second
            interval = setInterval(function () {
                showPicture()
            }, 1000);
        });
    }, 2000);
}

/**
 * Sets the count of CO's from type
 *
 * @param {integer} count - Count of Elements
 * @param {string} CO - Communication Object ID
 */
function setCount(count, CO) {
    event.preventDefault();
    $('[data-co="' + CO + '"]').find('.active').html(count);
}

/**
 * Handle the visual status of the indicator HTML Element
 *
 * @param {string} CO - Communication Object ID
 */
function handleIndicator(CO) {
    event.preventDefault();
    var $self = $('[data-co="' + CO + '"]');
    if(!$self.hasClass('on')){
        $self.parent().find('.indicator').addClass('on');
    }else{
        $self.parent().find('.indicator').removeClass('on');
    }
}

/**
 * Handle the visual status of the switch HTML Element
 *
 * @param {string} status - Status "ON OFF" of the Switch
 * @param {string} CO - Communication Object identifier
 */
function handleSwitch(status, CO) {
    event.preventDefault();
    //console.log(CO);
    $('[data-co="' + CO + '"]').removeClass('on off').addClass(status);
}

/**
 *  Turns Communication Objects on or off
 */
function switchCO() {
    event.preventDefault();
    var CO = $(this).data('co');
    if (window[CO])
        window[CO].toggle(50);
}

/**
 * Sets the inside temperature
 *
 * @param {integer} temp - inside temperature Value
 */
var setTempInside = function(temp){
    $tempInside.html(temp + '°C');
};

/**
 * Sets the outside temperature
 *
 * @param {integer} temp - inside temperature Value
 */
var setTempOutside = function(temp){
    $tempOutside.html(temp + '°C');
};





/**
 * Setup chart.js -> https://www.chartjs.org/
 *
 */

var dataOutMin = new Array();
var dataOutMax = new Array();
var dataInMin = new Array();
var dataInMax = new Array();
var labels = ['1', '2', '3','4','5','6','7','8','9','10','11', '12', '13','14','15','16','17','18','19','20','21', '22', '23','24','25','26','27','28','29','30','31', '32', '33','34','35','36','37','38','39','40','41', '42', '43','44','45','46','47','48','49','50','51', '52', '53','54','55','56','57','58','59','60'];

var configTempOutside = {
    type: 'line',
    data: {
        labels: labels.reverse(),
        datasets: [{
            label: 'Aussentemperatur',
            fill: false,
            borderColor: '#bddc03',
            data: dataOutMin
        }
        ]
    },
    options: {
        animation: {
            duration: 0
        },
        elements: { point:
                        {
                            radius: 2
                    }
            },
        scales: {
            yAxes: [{
                ticks: {
                    callback: function(value, index, values) {
                        return   value + '°C';
                    },
                    gridLines: {
                        display: false
                    }
                }
            }],
            xAxes: [{
                ticks: {
                    autoSkipPadding: 25,
                    callback: function(value, index, values) {
                        return   value + ' h';
                    },
                    gridLines: {
                        display: false
                    }
                }
            }]
        }
    }
};

var configTempInside = {
    type: 'line',
    data: {
        labels: labels.reverse(),
        datasets: [{
            label: 'Innentemperatur',
            fill: false,
            borderColor: '#bddc03',
            data: dataOutMin
        }
        ]
    },
    options: {
        animation: {
            duration: 0
        },
        elements: { point:
                        {
                            radius: 2
                    }
            },
        scales: {
            yAxes: [{
                ticks: {
                    callback: function(value, index, values) {
                        return   value + '°C';
                    },
                    gridLines: {
                        display: false
                    }
                }
            }],
            xAxes: [{
                ticks: {
                    autoSkipPadding: 25,
                    callback: function(value, index, values) {
                        return   value + ' h';
                    },
                    gridLines: {
                        display: false
                    }
                }
            }]
        }
    }
};

// Build Chart
var tempOutsideCtx = document.getElementById('temp-outside-chart').getContext('2d');
var tempOutsideChart = new Chart(tempOutsideCtx, configTempOutside);
var tempInsideCtx = document.getElementById('temp-inside-chart').getContext('2d');
var tempInsideChart = new Chart(tempInsideCtx, configTempInside);

var addData = function(dataOutMax){
    tempOutsideChart.update();
    tempInsideChart.update();
};


(function requestDataArchive() {
    /* Diagramm Aussentemperatur ********************************************/
    var aussen = conn.getDataArchive("DA@aussen_temp", function (err, data) {
        // Query the values of column 1. 60 values are queried every one minute.
        // The first value is one hour old.
        var startDate = this.getStartDateFromHours(1);
        this.getData(startDate, 60, 1, ['#1'], function (err, data) {
            data = data.columns['#1'];
            //showChart(data.min, data.max, data.sum, data.cnt, startDate);
            //console.log(data);
            dataOutMin = data.min;
            dataOutMax = data.max;
            round(dataOutMin);
            round(dataOutMax);
            console.log(dataOutMin);
            console.log(dataOutMax);
            configTempOutside.data.datasets = [{
                label: 'Aussentemperatur',
                data: dataOutMin,
                borderColor: '#bddc03',
                borderWidth: 2,
                fill: false
            }];
        });

        addData();
    });

    /* Diagramm Innentemperatur ********************************************/
    var innen = conn.getDataArchive("DA@innen_temp", function (err, data) {
        // Query the values of column 1. 60 values are queried every one minute.
        // The first value is one hour old.
        var startDate = this.getStartDateFromHours(1);
        this.getData(startDate, 60, 1, ['#1'], function (err, data) {
            data = data.columns['#1'];
            dataInMin = data.min;
            dataInMax = data.max;
            round(dataInMin);
            round(dataInMax);
            console.log(dataInMin);
            console.log(dataInMax);
            configTempInside.data.datasets = [{
                label: 'Innentemperatur',
                data: dataInMin,
                borderColor: '#bddc03',
                borderWidth: 2,
                fill: false
            }];
            addData();
        });
    });
})();

// Update time
setInterval(function() {
    setTime();
    addData();
}, 10000);


// round Values
function round(values){
    var x = 0;
    var len = values.length
    while(x < len){
        values[x] = values[x].toFixed(2);
        x++
    }
}

