;(function( $, window, document, undefined ) {

    "use strict";
    
    // cache jQuery selections
    var $hotspot =  $(".hotspot:not(.link)"),
        $hotspotCloseBtn =  $(".hotspot .close");
    
    $hotspot.on('click', function(event){
        //event.preventDefault();
        //event.stopPropagation();
        if(!$(this).hasClass('active')) {
            // Close all hotspots
            $hotspot.removeClass( 'active' );
            //Open clicked hotspot
            $( this ).addClass( 'active' );
        }
    });
    
    $hotspotCloseBtn.on('click', function(event){
        event.preventDefault();
        event.stopPropagation();
        
        // Get current hotspot
        var currentHotspot = $('.hotspot.active');
        // Close Hotspot
        currentHotspot.removeClass('active');
    })
    
})( $, window, document );
